Subject: Re: bug#58982: 28.2; nido-mode conflict with dired-dwim-target

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2022 11:45:34 +0200

> Date: Thu, 3 Nov 2022 09:12:33 +0800 (CST)
> From: 范凯 <[email-masked]>
> 
> 1. Enable dired-dwim-target and fido-mode
> (custom-set-varibles
> '(dired-dwim-target t)
> '(fido-mode t))
> 
> 2. Create two diretory trees, with following layout:
> 
> source_tree
> source_tree/a.txt
> source_tree/b.txt
> source_tree/c.txt
> 
> destin_tree/d.txt
> 
> 3. Open two root diretory, with dired-mode, in two windows side by
> side. For dired-twim-target to work.
> 
> 4. Mark, a.txt, b.txt, c.txt in source_tree.
> 
> 5. Type `C` and `dired-twim-target` will prompt to to copy them to
> destin_tree

This is inaccurate: at this point I see the following in the
minibuffer:

  Copy * [3 files] to: .../dest_tree/{d.txt | ./}

Obviously, "d.txt" is an incorrect guess, and what I actually want is
the second guess, "./".  So I type <RIGHT> arrow key, and that makes
"./" the selected candidate.

> 6. Type `Enter` to confirm.

After making "./" the selected candidate, this "does what I mean".

So I think Emacs works as expected here.  We cannot always expect
Emacs to guess what you mean with 100% accuracy.